Debian Bug report logs - #552621
antlr3: Enable testsuite (and fix resulting failures)

version graph

Package: antlr3; Maintainer for antlr3 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for antlr3 is src:antlr3.

Reported by: Michael Terry <michael.terry@canonical.com>

Date: Wed, 28 Oct 2009 10:24:02 UTC

Severity: normal

Tags: patch, pending

Found in version antlr3/3.0.1+dfsg-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, michael.terry@canonical.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#552621; Package antlr3. (Wed, 28 Oct 2009 10:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Terry <michael.terry@canonical.com>:
New Bug report received and forwarded. Copy sent to michael.terry@canonical.com, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 28 Oct 2009 10:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Terry <michael.terry@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: antlr3: Enable testsuite (and fix resulting failures)
Date: Tue, 27 Oct 2009 15:42:20 +0100
[Message part 1 (text/plain, inline)]
Package: antlr3
Version: 3.0.1+dfsg-4
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu karmic ubuntu-patch

I was looking into enabling the testsuite in Ubuntu, and the attached diff will do so.  Thought you might be interested in doing the same.

However, running it, there were 14 failures.  Presumably those are upstream failures.

So obviously, this patch shouldn't be applied without also fixing those failures.  But ideally both would happen.  :)

-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-14-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[tmpoKa445 (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#552621; Package antlr3. (Wed, 28 Oct 2009 22:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Koch <konqueror@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 28 Oct 2009 22:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 552621@bugs.debian.org (full text, mbox):

From: Michael Koch <konqueror@gmx.de>
To: Michael Terry <michael.terry@canonical.com>, 552621@bugs.debian.org
Subject: Re: Bug#552621: antlr3: Enable testsuite (and fix resulting failures)
Date: Wed, 28 Oct 2009 12:08:27 +0100
On Tue, Oct 27, 2009 at 03:42:20PM +0100, Michael Terry wrote:
> Package: antlr3
> Version: 3.0.1+dfsg-4
> Severity: normal
> Tags: patch
> User: ubuntu-devel@lists.ubuntu.com
> Usertags: origin-ubuntu karmic ubuntu-patch
> 
> I was looking into enabling the testsuite in Ubuntu, and the attached diff will do so.  Thought you might be interested in doing the same.
> 
> However, running it, there were 14 failures.  Presumably those are upstream failures.
> 
> So obviously, this patch shouldn't be applied without also fixing those failures.  But ideally both would happen.  :)
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers karmic-updates
>   APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.31-14-generic (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash

> diff -u antlr3-3.0.1+dfsg/debian/rules antlr3-3.0.1+dfsg/debian/rules
> --- antlr3-3.0.1+dfsg/debian/rules
> +++ antlr3-3.0.1+dfsg/debian/rules
> @@ -13,7 +13,8 @@
>  
>  JAVA_HOME := /usr/lib/jvm/default-java
>  ANT_OPTS = -Dant.build.javac.source=1.4
> -DEB_JARS := ant-antlr antlr junit
> +DEB_JARS := ant-antlr antlr junit ant-junit ant-trax
> +DEB_ANT_CHECK_TARGET = test
>  
>  build/antlr3::
>  	install -m 644 -D build/antlr.jar \

Thanks for this patch. The problem is that I'm currently working on a new
upstream version. Upstream changed from Ant to Maven as build system.
This makes your patch unusable. But the idea is generally good. I will
look into into enabling testsuite running in the new package too.


Cheers,
Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#552621; Package antlr3. (Wed, 02 Jun 2010 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Claude <ludovic.claude@laposte.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 02 Jun 2010 22:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 552621@bugs.debian.org (full text, mbox):

From: Ludovic Claude <ludovic.claude@laposte.net>
To: 552621@bugs.debian.org
Subject: Unit test failures in upstream antlr 3.2
Date: Thu, 03 Jun 2010 00:21:25 +0200
Hello,

I'm packaging the Maven version of antlr. It still has got failures in 
the unit tests, including when I run the build using only upstream 
sources, so I have disabled the unit tests in the Debian build.

You can get the current code for the packaging here:
https://code.launchpad.net/~ludovicc/uj/antlr3

Ludovic





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#552621; Package antlr3. (Mon, 02 Aug 2010 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Walker <DaveWalker@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 02 Aug 2010 19:45:05 GMT) Full text and rfc822 format available.

Message #20 received at 552621@bugs.debian.org (full text, mbox):

From: Dave Walker <DaveWalker@ubuntu.com>
To: 552621@bugs.debian.org
Subject: Update?
Date: Mon, 02 Aug 2010 20:37:21 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I just wondered if there was any progress with the testsuite
integration into a Maven based package?

Thanks.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxXHnAACgkQmiDwVeMCgbPhUgCaAlNDirWXSHAfKy+xCsvjUINe
BtcAn3UyhDw2cgrTQyoDc4xxri0EHVoQ
=NNhd
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#552621; Package antlr3. (Tue, 03 Aug 2010 00:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 03 Aug 2010 00:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 552621@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Dave Walker <DaveWalker@ubuntu.com>, 552621@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#552621: Update?
Date: Tue, 3 Aug 2010 02:53:41 +0200
tags 552621 + pending
thanks

Hi,

On Mon, Aug 2, 2010 at 9:37 PM, Dave Walker <DaveWalker@ubuntu.com> wrote:
> I just wondered if there was any progress with the testsuite
> integration into a Maven based package?

it will be fixed with the next upload. But we will ignore test failures.

Cheers,
Torsten




Added tag(s) pending. Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 00:57:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:13:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.